Bug 1468321 - 26 Workstation fails to reach desktop on VMware
26 Workstation fails to reach desktop on VMware
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 13:00 EDT by Adam Williamson
Modified: 2017-10-02 05:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-07-06 13:00:58 EDT
This problem may well be on the VMware side, but I figured we'd best have a report of it for tracking.

Fedora 25 Workstation boots fine on VMware (Player 12.5.7) with a default VM. Fedora 26 Workstation (tested with RC-1.4) does not boot properly at all; on every try it seems to hang at either a black screen or a grey screen (the speckled grey background GNOME uses for things like GDM and the lock screen). I'm not very familiar with VMware so I wasn't able to get to a console to get any logs yet, but I'll find a way to do it soon, hopefully. Several other people confirmed this on test@ and devel@ lists when I asked for confirmation (see thread 'Another Fedora 26 test request: VMware').

I haven't checked KDE yet for comparison, but it's a rather different situation anyway as Wayland isn't involved there.

I'll be trying to find a way to get in touch with VMware folks about this issue also.
Comment 1 Adam Williamson 2017-07-06 13:17:08 EDT
For testing / reproduction purposes, you can find the latest Workstation nightly image via:

https://www.happyassassin.net/nightlies.html

or grab the RC-1.5 image:

https://dl.fedoraproject.org/pub/alt/stage/26_RC-1.5/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-26-1.5.iso
Comment 2 CAI Qian 2017-07-06 13:51:32 EDT
Wondering if you are able to switch terminals (Ctrl+Alt+Fn or through VMWare tabs) and see if you are able to login via consoles and see if any kernel messages are.
Comment 3 CAI Qian 2017-07-06 14:17:56 EDT
Looks like systemd issues for me. Several systemd services went core dump.

https://paste.fedoraproject.org/paste/cq4ug2caz2wyHeiekSrqqw
...
Jul 06 11:34:08 localhost systemd-udevd[552]: Assertion 'e->key == i->next_key' failed at src/basic/hashmap.c:634, function hashmap_iterate_in_internal_order(). Aborting.
Jul 06 11:34:08 localhost audit[552]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=kernel pid=552 comm="systemd-udevd" exe="/usr/lib/systemd/systemd-udevd" sig=6 res=1
Jul 06 11:34:08 localhost kernel: Core dump to |/usr/lib/systemd/systemd-coredump 552 0 0 6 1499340848 18446744073709551615 systemd-udevd pipe failed
...

https://paste.fedoraproject.org/paste/r3s3MflNnT8ZinctmhjtIQ
...
Jul 06 11:09:19 localhost systemd-journald[297]: Assertion 'path_startswith(device->syspath, "/sys/")' failed at src/libsystemd/sd-device/sd-device.c:683, function sd_device_get_syspath(). Aborting.
Jul 06 11:09:19 localhost kernel: audit: type=1701 audit(1499339359.453:2): auid=4294967295 uid=0 gid=0 ses=4294967295 subj=kernel pid=297 comm="systemd-journal" exe="/usr/lib/systemd/systemd-journald" sig=6 res=1
Jul 06 11:09:19 localhost kernel: Core dump to |/usr/lib/systemd/systemd-coredump 297 0 0 6 1499339359 18446744073709551615 systemd-journal pipe failed
...
Jul 06 11:09:22 localhost udevadm[568]: Assertion 'sd_device_get_devpath(a, &devpath_a) >= 0' failed at src/libsystemd/sd-device/device-enumerator.c:283, function device_compare(). Aborting.
Jul 06 11:09:22 localhost audit[568]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=kernel pid=568 comm="udevadm" exe="/usr/bin/udevadm" sig=6 res=1
Jul 06 11:09:22 localhost kernel: Core dump to |/usr/lib/systemd/systemd-coredump 568 0 0 6 1499339362 18446744073709551615 udevadm pipe failed
...
Jul 06 11:09:22 localhost udevadm[568]: Assertion 'sd_device_get_devpath(a, &devpath_a) >= 0' failed at src/libsystemd/sd-device/device-enumerator.c:283, function device_compare(). Aborting.
Jul 06 11:09:22 localhost audit[568]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=kernel pid=568 comm="udevadm" exe="/usr/bin/udevadm" sig=6 res=1
Jul 06 11:09:22 localhost kernel: Core dump to |/usr/lib/systemd/systemd-coredump 568 0 0 6 1499339362 18446744073709551615 udevadm pipe failed
Comment 4 CAI Qian 2017-07-06 14:34:13 EDT
It could be kernel issues that unable to load vmware emulation storage drivers properly as the above systemd-udevd seems failed the most when looking at sd_device (might be rootfs) under /sys but could not find it, so the assertion failed.
Comment 5 Adam Williamson 2017-07-18 21:06:02 EDT
That doesn't seem to be quite what I'm seeing, in fact. I tried booting the network installer and the KDE live image and they both work fine, for me. I don't see any errors like that either on a successful KDE boot or a failed Workstation boot. So it's something specific to Workstation and/or GNOME and/or Wayland. I'd like to run an install and test with an installed system so I can check a few other things, but I don't have the disk space on my Windows box, stupidly enough...I'll try and figure out a way to do it later.
Comment 6 Rajin Gill 2017-08-24 06:05:22 EDT
Installing Fedora 25 and then upgrading to Fedora 26 (using dnf) doesn't exhibit this problem.
Comment 7 l.inc 2017-09-17 09:03:38 EDT
I'm not sure if my problem is the same one, but it definitely fits to the title. The system does boot until the graphical login screen but after entering credentials all I see is the background wallpaper.

The system is an upgrade from Fedora 23 (to 26 via dnf), so the behaviour seems different to what the previous post states. The upgrade was however carried out bare metal (outside of the VMWare), i.e. I often boot an independently bootable SSD with Fedora inside of a VMWare Player on top of Win 7, which in turn itself lives on a separate independently bootable SSD.

Fedora 23 did spend a few seconds in the same hanging state when run in VMWare but then showed the desktop normally. Fedora 26 now does successfully boot on bare metal, but hangs on top of VMWare before reaching the desktop.

When reaching this hanging state in Fedora 26 on VMWare the Alt+Ctrl+Fn terminals are accessible and can be used to login and examine whatever logs needed, but I'm not sure what and where to look for.

Additionally, this seems to be unrelated to GNOME or Wayland, as I have Cinnamon, which means a fallback to Xorg.
Comment 8 Kamil Páral 2017-10-02 05:11:41 EDT
This seems specific for F26, so removing CommonBugs. Can somebody test with F27 (Beta)?

Note You need to log in before you can comment on or make changes to this bug.